Bug 19892

Summary: Replace numbersphr variable with Koha.Preference('OPACNumbersPreferPhrase') in OPAC
Product: Koha Reporter: Katrin Fischer <katrin.fischer>
Component: TemplatesAssignee: Charlotte Cordwell <charlotte.cordwell123>
Status: CLOSED FIXED QA Contact: Testopia <testopia>
Severity: enhancement    
Priority: P5 - low CC: fridolin.somers, jonathan.druart, marjorie.barry-vila, nick, patrick.robitaille, roch.damour
Version: masterKeywords: Academy
Hardware: All   
OS: All   
Whiteboard:
Change sponsored?: --- Patch complexity: Trivial patch
Bot Control: --- When did the bot last check this:
Who signed the patch off: Text to go in the release notes:
Attachments: Bug 19892: Replace numbersphr variable with Koha.Preference('OPACNumbersPreferPhrase') in OPAC
Bug 19892: Replace numbersphr variable with Koha.Preference('OPACNumbersPreferPhrase') in OPAC
Bug 19892: Replace numbersphr variable with Koha.Preference('OPACNumbersPreferPhrase') in OPAC
Bug 19892 (follow-up) Replace one more instance
Bug 19892: Replace numbersphr variable with Koha.Preference('OPACNumbersPreferPhrase') in OPAC
Bug 19892 (follow-up) Replace one more instance

Description Katrin Fischer 2017-12-29 06:53:22 UTC
This was just done in intranet with bug 19807 to fix a bug and I think it would be good to do the same for the OPAC.
Comment 1 Charlotte Cordwell 2018-01-18 01:33:10 UTC
Created attachment 70660 [details] [review]
Bug 19892: Replace numbersphr variable with Koha.Preference('OPACNumbersPreferPhrase') in OPAC

Test Case
1) Check that the following files have been changed properly.
opac/opac-search.pl
 opac/opac-main.pl
 koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-advsearch.tt

2)Apply bug
3) Check that there are no differences in behaviour as a result of the patch.
Comment 2 Roch D'Amour 2018-03-16 19:33:37 UTC
Created attachment 73061 [details] [review]
Bug 19892: Replace numbersphr variable with Koha.Preference('OPACNumbersPreferPhrase') in OPAC

Test Case
1) Check that the following files have been changed properly.
opac/opac-search.pl
 opac/opac-main.pl
 koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-advsearch.tt

2)Apply bug
3) Check that there are no differences in behaviour as a result of the patch.

Signed-off-by: Roch D'Amour <roch.damour@inlibro.com>
Comment 3 Katrin Fischer 2018-03-18 07:56:11 UTC
Created attachment 73076 [details] [review]
Bug 19892: Replace numbersphr variable with Koha.Preference('OPACNumbersPreferPhrase') in OPAC

Test Case
1) Check that the following files have been changed properly.
opac/opac-search.pl
 opac/opac-main.pl
 koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-advsearch.tt

2)Apply bug
3) Check that there are no differences in behaviour as a result of the patch.

Signed-off-by: Roch D'Amour <roch.damour@inlibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2018-03-19 19:34:35 UTC
What about this occurrence?

koha-tmpl/opac-tmpl/bootstrap/en/includes/masthead.inc:                                [% IF ( numbersphr ) %]
koha-tmpl/opac-tmpl/bootstrap/en/includes/masthead.inc:                                [% END # /numbersphr %]
Comment 5 Owen Leonard 2018-03-27 16:52:14 UTC
Created attachment 73338 [details] [review]
Bug 19892 (follow-up) Replace one more instance

This patch replaces one more instance of [% IF ( numbersphr ) %].

To test, apply the patch and view the source of the OPAC home page.

With the OPACNumbersPreferPhrase system preference set to 'use,' you
should find this in the HTML source:

<option value="callnum,phr">Call number</option>

With the preference set to 'don't use,' you should find this:

<option value="callnum">Call number</option>
Comment 6 Katrin Fischer 2018-03-31 07:12:23 UTC
Created attachment 73506 [details] [review]
Bug 19892: Replace numbersphr variable with Koha.Preference('OPACNumbersPreferPhrase') in OPAC

Test Case
1) Check that the following files have been changed properly.
opac/opac-search.pl
 opac/opac-main.pl
 koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-advsearch.tt

2)Apply bug
3) Check that there are no differences in behaviour as a result of the patch.

Signed-off-by: Roch D'Amour <roch.damour@inlibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Katrin Fischer 2018-03-31 07:14:20 UTC
Created attachment 73507 [details] [review]
Bug 19892 (follow-up) Replace one more instance

This patch replaces one more instance of [% IF ( numbersphr ) %].

To test, apply the patch and view the source of the OPAC home page.

With the OPACNumbersPreferPhrase system preference set to 'use,' you
should find this in the HTML source:

<option value="callnum,phr">Call number</option>

With the preference set to 'don't use,' you should find this:

<option value="callnum">Call number</option>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Katrin Fischer 2018-03-31 07:14:44 UTC
Treating as a QA follow-up.
Comment 9 Jonathan Druart 2018-04-02 21:14:51 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 10 Nick Clemens 2018-05-14 14:32:47 UTC Comment hidden (obsolete)
Comment 11 Nick Clemens 2018-05-14 21:21:21 UTC
Pushed to stable for 17.11.06

Awesome work all!
Comment 12 Nick Clemens 2018-05-14 21:22:12 UTC
Okay, I changed my mind and pushed, not sure how to get back to 'Pushed to stable'
Comment 13 Fridolin SOMERS 2018-05-22 10:04:55 UTC
(In reply to Nick Clemens from comment #12)
> Okay, I changed my mind and pushed, not sure how to get back to 'Pushed to
> stable'

Leave it resolved since I will not push to 17.05.x